<?php
/**
 * @package eyesite
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php eyesite_posted_on(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
	
	<?php
		// Post thumbnail.
		the_post_thumbnail('eyesite-feature');//displays featured image in the featured size which is 800px max - the width of the post content area
	?>
	
	<div class="entry-content">


		<?php if ( is_category() ) : the_excerpt();//change the word 'excerpt' in any or all of the three places left to 'content' to show full content of posts on category, tag, or archive pages
		elseif ( is_tag() ) : the_excerpt();
		elseif ( is_archive() ) : the_excerpt();
		
		else:
			/* translators: %s: Name of current post */ //change the word 'content' to 'excerpt' in the next line to make the main posts (blog) page display summaries of posts instead of full contet
			the_content( sprintf(
				__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'eyesite' ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		endif; ?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'eyesite' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php eyesite_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->