<?php
/**
 * The header for eyesite theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package eyesite
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.min.js"></script>
	<![endif]-->

	<!--[if lt IE 9]>      <html id="ie"> <![endif]-->
		
<!--the title tag is now loaded via theme support for title tag in functions.php.  keeping it here causes title tag duplication and w3c validation errors-->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'eyesite' ); ?></a>
	
	<header id="masthead" class="site-header" role="banner">
		
			<?php if ( get_theme_mod( 'eyesite_logo' ) ) : ?> <!--displays your logo if chosen to include one in the customiser-->
				<div class='site-logo'>
					<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'>
					<img src='<?php echo esc_url( get_theme_mod( 'eyesite_logo', '' ) ); ?>'  
					alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
				</div><!--site-logo-->
				
			<?php else : ?>
				<div class="site-branding"> <!--displays the site title and tagline only if a logo is not uploaded-->
					<?php if(get_header_textcolor()!='blank') { //overides header textcolour css styles when the customizer is used?>
					<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" 
					style="color:#<?php echo get_header_textcolor();?>!important;">
					<?php bloginfo( 'name' ); ?></a></h1>	
					<?php } ?>
					
					<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
				</div><!-- .site-branding -->
			<?php endif; ?>

			<nav id="site-navigation" class="main-navigation" role="navigation" aria-label='<?php _e( 'Primary Menu ', 'eyesite' ); ?>'>
				<button class="menu-toggle"><span class="screen-reader-text"><?php _e( 'Primary Menu', 'eyesite' ); ?></span>
				</button>
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
				
			
			</nav><!-- #site-navigation -->
			<?php get_sidebar('header'); ?>

	</header><!-- #masthead -->
