<?php
/**
 * The template file used to display the main blog feed (posts) page
 
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package eyesite
 */

get_header(); ?>

<div id="content" class="site-content">
<?php 
	//positions the sidebar based on user selection in customizer
	$sidebar_position = get_theme_mod('sidebar_position');
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
		
		<!--get custom header image if one exists. this is displayed below the header area in this theme, on the blog page, plus on the home page when this is set to a static page-->			
		<div class="header-img"> 
			<?php if ( get_header_image() ) : ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
				</a>
			<?php endif; // End header image check for custom header (custom-headerimage.php in inc folder and functions.php file function. ?>

		</div><!--header image-->

		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php eyesite_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
