<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package eyesite
 */

get_header(); ?>

<div id="content" class="site-content">
<?php 
	//positions the sidebar based on user selection in customizer
	$sidebar_position = get_theme_mod('sidebar_position');
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
				
		<!--get custom header image if one exists and if the page is the front (home) page.
		If you want the header image to appear on every page remove exactly the following in the section below:   && is_front_page()  -->			
		<div class="header-img"> 
			<?php if ( get_header_image() && is_front_page() ) : ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
				</a>
			<?php endif; // End header image check for custom header. Code for custom header is in the functions.php file function. ?>
		</div><!--header image-->

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

				<!--removed comment template from here, can put it back in if comments are desired on pages (copy from index.php)-->

			<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->


<?php get_sidebar(); ?>
<?php get_footer(); ?>
