<?php
/**
 * The sidebar containing the main widget area. Can be positioned right or left or removed for a full width layout
 using the customiser in the premium version of eyesite
 *
 * @package eyesite
 */

if ( ! is_active_sidebar( 'sidebar-1' ) ) {
	return;
}
?>

<div class="secondary-padding">
<div id="secondary" class="widget-area" role="complementary">

	<!--add an optional social links menu-->
	<?php if ( has_nav_menu( 'social' ) ) : ?>
			<nav id="menu-social" class="menu-social" role="navigation">
				<?php
					// Social links navigation menu.
					wp_nav_menu( array(
						'theme_location' => 'social',
						'depth'          => 1,
						'link_before'     => '<span class="eyesite-screen-reader-text">',//this span class pushes the words 'facebook' etc out of the way in css
						'link_after'      => '</span>',
					) );
				?>
			</nav><!-- .menu-social-->
	<?php endif; ?>
	
		<!--optional second menu in main widget area (sidebar)-->
	<?php if ( has_nav_menu( 'secondary' ) ) : ?>
		<nav id="secondary-navigation" class="secondary-navigation" role="navigation">
			<?php wp_nav_menu( array( 'theme_location' => 'secondary' ) ); ?>
		</nav><!-- #secondary-navigation -->
	<?php endif; ?>

	<?php dynamic_sidebar( 'sidebar-1' ); ?>
			
</div><!-- #secondary -->
</div><!--secondary-padding-->